#include "mainwindow.h"
#include "streetsmodel.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent)
{
    setupUi(this);

    QSqlDatabase db = QSqlDatabase::addDatabase("QSQLITE");
    db.setDatabaseName("streets.sqlite");
    db.open();

    treeView->setModel( new StreetsModel() );
}

MainWindow::~MainWindow()
{
    QSqlDatabase::database().close();
}
